### Hierarchy

- Layer
  - PolyLine

## Index

### Constructors

- constructor

### Properties

- _layer
- _map
- _source
- draggable
- id
- type

### Methods

- addTo
- off
- on

### Object literals

- defaultStyle

## Constructors

### constructor

- new PolyLine(geom: [number, number], options?: any): PolyLine

- Overwrites Layer.constructor

  - Defined in Layer.ts:200

  #### Parameters

  - ##### geom: [number, number]

    Geometry object, an array of positions. A position is represented by an array of numbers. There must be at least two elements, and may be more. The order of elements must follow x, y, z order (easting, northing, altitude for coordinates in a projected coordinate reference system, or longitude, latitude, altitude for coordinates in a geographic coordinate reference system).

  - ##### Optional options: any

  #### Returns PolyLine

## Properties

### _layer

_layer: any

Inherited from Layer._layer

- Defined in Layer.ts:13

### _map

_map: any

Inherited from Layer._map

- Defined in Layer.ts:15

### _source

_source: Source

Overwrites Layer._source

- Defined in Layer.ts:188

### draggable

draggable: boolean

Inherited from Layer.draggable

- Defined in Layer.ts:16

### id

id: string

Inherited from Layer.id

- Defined in Layer.ts:12

### type

type: string

Inherited from Layer.type

- Defined in Layer.ts:17

## Methods

### addTo

- addTo(map: Map): Layer

- Inherited from Layer.addTo

  - Defined in Layer.ts:37

  #### Parameters

  - ##### map: Map

  #### Returns Layer

### off

- off(event?: string, listener?: any): Layer

- Inherited from Layer.off

  Overwrites Events.off

  - Defined in Layer.ts:58

  #### Parameters

  - ##### Optional event: string

  - ##### Optional listener: any

  #### Returns Layer

### on

- on(event: string, listener: any): Layer

- Inherited from Layer.on

  Overwrites Events.on

  - Defined in Layer.ts:45

  #### Parameters

  - ##### event: string

  - ##### listener: any

  #### Returns Layer

## Object literals

### Static defaultStyle

defaultStyle: object

- Defined in Layer.ts:190

### type

type: string

- Defined in Layer.ts:191

### layout

layout: object

- Defined in Layer.ts:196

### line-cap

line-cap: string

- Defined in Layer.ts:197

### line-join

line-join: string

- Defined in Layer.ts:198

### paint

paint: object

- Defined in Layer.ts:192

### line-color

line-color: string

- Defined in Layer.ts:193

### line-width

line-width: number

- Defined in Layer.ts:194

Generated using TypeDoc